﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CONSUM]') AND name = N'XCONSUM1')
BEGIN 
PRINT 'Creating index XCONSUM1 on table CONSUM'
CREATE UNIQUE NONCLUSTERED INDEX [XCONSUM1] ON [dbo].[CONSUM] 
(
	[CNUM] ASC,
	[ADEP] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CONSUM]') AND name = N'XCONSUM2')
BEGIN 
PRINT 'Creating index XCONSUM2 on table CONSUM'
CREATE UNIQUE NONCLUSTERED INDEX [XCONSUM2] ON [dbo].[CONSUM] 
(
	[DDAT] ASC,
	[ADEP] ASC,
	[CNUM] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CONSUM]') AND name = N'XCONSUM3')
BEGIN 
PRINT 'Creating index XCONSUM3 on table CONSUM'
CREATE UNIQUE NONCLUSTERED INDEX [XCONSUM3] ON [dbo].[CONSUM] 
(
	[DELD] ASC,
	[ADEP] ASC,
	[CNUM] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CONSUM' AND COLUMN_NAME = 'IREC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CONSUM_IREC')
BEGIN 
    PRINT 'Creating default constraint DF_CONSUM_IREC on table CONSUM' 
    ALTER TABLE [dbo].[CONSUM]
    ADD CONSTRAINT [DF_CONSUM_IREC] DEFAULT ((0)) FOR [IREC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CONSUM' AND COLUMN_NAME = 'IPRT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CONSUM_IPRT')
BEGIN 
    PRINT 'Creating default constraint DF_CONSUM_IPRT on table CONSUM' 
    ALTER TABLE [dbo].[CONSUM]
    ADD CONSTRAINT [DF_CONSUM_IPRT] DEFAULT ((0)) FOR [IPRT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CONSUM' AND COLUMN_NAME = 'APRT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CONSUM_APRT')
BEGIN 
    PRINT 'Creating default constraint DF_CONSUM_APRT on table CONSUM' 
    ALTER TABLE [dbo].[CONSUM]
    ADD CONSTRAINT [DF_CONSUM_APRT] DEFAULT ((0)) FOR [APRT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CONSUM' AND COLUMN_NAME = 'IsLastProcessed' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CONSUM_IsLastProcessed')
BEGIN 
    PRINT 'Creating default constraint DF_CONSUM_IsLastProcessed on table CONSUM' 
    ALTER TABLE [dbo].[CONSUM]
    ADD CONSTRAINT [DF_CONSUM_IsLastProcessed] DEFAULT ((0)) FOR [IsLastProcessed]
END 
GO

